<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:import href="../../base/report/corporate_defaults.xsl"/>

	<xsl:template name="first_page_frames">
		<frame id="main" x1="2.5cm" y1="3cm" width="23cm" height="16cm"/>
	</xsl:template>
	<xsl:template name="other_page_frames">
		<frame id="main" x1="2.5cm" y1="3cm" width="23cm" height="17cm"/>
	</xsl:template>
	<xsl:template name="first_page_graphics_report"/>
	<xsl:template name="other_pages_graphics_report">
		<drawCentredString x="20.5cm" y="1cm">Pàgina <pageNumber/></drawCentredString>

        </xsl:template>


	<xsl:template match="/">
		<document>
			<template author="Generated by OpenERP-School">
				<xsl:attribute name="pageSize">29.7cm,21cm</xsl:attribute>

				<xsl:attribute name="leftMargin">2cm</xsl:attribute>

				<xsl:attribute name="rightMargin">2cm</xsl:attribute>

				<xsl:attribute name="topMargin">2cm</xsl:attribute>

				<xsl:attribute name="bottomMargin">2cm</xsl:attribute>

				<xsl:attribute name="title">Informe de participacio en materies per grup</xsl:attribute>

				<pageTemplate id="first_page">
					<pageGraphics>
						<xsl:call-template name="first_page_graphics_corporation"/>
						<xsl:call-template name="first_page_graphics_report"/>
					</pageGraphics>

					<xsl:call-template name="first_page_frames"/>
				</pageTemplate>

				<pageTemplate id="other_pages">
					<pageGraphics>
						<xsl:call-template name="other_pages_graphics_corporation"/>
						<xsl:call-template name="other_pages_graphics_report"/>
					</pageGraphics>

					<xsl:call-template name="other_pages_frames"/>
				</pageTemplate>
			</template>

		<stylesheet>
			<xsl:call-template name="stylesheet"/>
		</stylesheet>

		<story>
			<xsl:call-template name="story"/>
		</story>

		</document>
	</xsl:template>

	<!-- stylesheet -->

	<xsl:template name="stylesheet">
		<blockTableStyle id="resum_participacio_per_grup">
			<blockFont name="Helvetica-Bold" size="6" start="0,0" stop="-1,-1"/>
			<blockBackground colorName="grey" start="0,0" stop="-1,0"/>
			<blockTextColor colorName="white" start="0,0" stop="-1,0"/>
			<blockValign value="TOP"/>
			<blockAlignment value="CENTER" start="0,0" stop="-1,0"/>
			<blockAlignment value="RIGHT" start="1,1" stop="-1,-1"/>
			<lineStyle kind="GRID" colorName="black"/>
		</blockTableStyle>
	</xsl:template>

	<xsl:template name="story">
		<xsl:apply-templates select="report/rfpg"/>
	</xsl:template>



	<xsl:template match="rfpg">
            <para fontSize="15" alignement="CENTER" >Informe de participació en matèries per grup</para>
		<spacer length="0.3cm"/>
		<para>
			Data desde <xsl:value-of select="date_from"/>
		</para>
		<para>
			Data fins <xsl:value-of select="date_to"/>
		</para>
		<xsl:apply-templates select="group"/>
		
	</xsl:template>

	<xsl:template match="group">
		<para></para>
		<para></para>
		<para>GRUP <xsl:value-of select="group_name"/></para>
		<blockTable style="resum_participacio_per_grup" repeatRows="1">
			<tr>
				<td t="1">Cognoms</td>
				<td t="1">Nom</td>
                                <xsl:apply-templates select="course" />
			</tr>
			<xsl:apply-templates select="participation" />
		</blockTable>
		
	</xsl:template>
	<xsl:template match="participation">
			<tr>
				<td t="1"><xsl:value-of select="name_student"/></td>
				<td t="1"><xsl:value-of select="first_name_student"/></td>
                                <xsl:apply-templates select="course_data" />
			</tr>

	</xsl:template>
	<xsl:template match="course">
            <td t="1"><xsl:value-of select="."/></td>
	</xsl:template>
	<xsl:template match="course_data">
            <td t="1"><xsl:if test="seance_hours > 0"><xsl:value-of select='format-number(seance_hours, "#")'/> (<xsl:value-of select='format-number(1 - absence_hours div seance_hours, "#%")'/>)</xsl:if></td>
	</xsl:template>

</xsl:stylesheet>
