# -*- encoding: utf-8 -*-
##############################################################################
#
#    school module for OpenERP
#    Copyright (C) 2010 Tecnoba S.L. (http://www.tecnoba.com)
#       Pere Ramon Erro Mas <pereerro@tecnoba.com> All Rights Reserved.
#
#    This file is a part of school modules
#
#    school OpenERP module is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    school OpenERP module is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from datetime import datetime, timedelta
import pooler
from report.interface import report_rml
from report.interface import toxml
from lxml import etree

#FIXME: we should use toxml

class report_custom(report_rml):
    def create_xml(self, cr, uid, ids, datas, context={}):
        report = etree.Element("report")
        report.append( etree.fromstring("""
        <config>
            <date>09/09/2005</date>
            <PageSize>210.00mm,297.00mm</PageSize>
            <PageWidth>595.27</PageWidth>
            <PageHeight>841.88</PageHeight>
            <tableSize>60.00mm,60.00mm,60.00mm</tableSize>
            <report-header>Detall faltes per grup</report-header>
            <report-footer>Generated by Open ERP</report-footer>
        </config>
        """) )
        
        report.append( etree.fromstring( """
        <header>
            <field>Location</field>
            <field>Product name</field>
            <field>Product quantity</field>
        </header>
        """ ) )
        conds=''
        
        pool=pooler.get_pool(cr.dbname)
        wizard = pool.get(datas['model']).browse(cr, uid, ids[0])

        groups_ids=[x.id for x in wizard.group_ids]
        teachers_ids=[x.id for x in wizard.group_ids]
        courses_ids=[x.id for x in wizard.group_ids]
        datetime_from=wizard.date_from
        datetime_to=wizard.date_to
        
        query="""
            
select grup.name as group_name,part.name as participation_name,cont.name as student_name,cont.first_name as student_first_name,
     sean.date,sean.date_to,teac.name as teacher_name,teac.first_name as teacher_first_name,
     offe.name as offer_name,curs.code as course_code,
     CASE WHEN absence='A' THEN 1 ELSE 0 END as total,
     CASE WHEN absence='A' and justified=false THEN 1 ELSE 0 END as total_just, 
     CASE WHEN absence='D' THEN 1 ELSE 0 END as delay,
     CASE WHEN absence='D' and justified=false THEN 1 ELSE 0 END as delay_just, 
     CASE WHEN incidence THEN 1 ELSE 0 END as incidence,
     CASE WHEN expulsion THEN 1 ELSE 0 END as expulsion
from school_presence as pres inner 
  join school_seance as sean on pres.seance_id=sean.id inner
  join school_classe as clas on sean.classe=clas.id inner
  join school_course as curs on clas.course=curs.id inner
  join school_participation as part on pres.participation_id=part.id inner
  join school_session as sess on part.session_id=sess.id inner
  join school_offer as offe on sess.offer=offe.id inner
  join res_partner_contact as cont on part.student=cont.id inner
  join res_partner_contact as teac on sean.teacher=teac.id inner
  join school_group as grup on part.group_id=grup.id
where %s date between '%s' and '%s' and (absence<>'P' or incidence or expulsion)
order by grup.name,cont.name,cont.first_name,date
            
            """% (conds,datetime_from,datetime_to)
        cr.execute(query)
        content = etree.SubElement(report, "dfpg")
        etree.SubElement(context, "date_from").text = datetime_from
        etree.SubElement(context, "date_to").text = datetime_to

        for row in cr.fetchall():
            (row_group_name,row_participation_name,row_name,row_first_name,
             row_date,row_date_to,row_teacher_name,row_teacher_first_name,
             row_offer,row_course,row_total,row_total_just,row_delay,
             row_delay_just,row_incidence,row_expulsion)=row
            moment_inici=datetime.strptime(row_date,'%Y-%m-%d %H:%M:%S')
            moment_final=datetime.strptime(row_date_to,'%Y-%m-%d %H:%M:%S')
            day=moment_inici.strftime('%d/%m/%y')
            hour='De %s a %s' % (moment_inici.strftime('%H:%M'),moment_final.strftime('%H:%M'))
            if group_name<>row_group_name:
                if group_name<>'':
                    if participation_name<>'':
                        xml += "</participation>"
                    xml += "</group>"
                group_name=row_group_name
                xml+="<group><group_name>%s</group_name>" % row_group_name
                participation_name=''
            if participation_name<>row_participation_name:
                if participation_name<>'':
                    xml += "</participation>"
                participation_name=row_participation_name
                xml+="<participation student_name=\"%s\" student_first_name=\"%s\" >" % (row_name,row_first_name)
            xml+= """
<incidence date=\"%s\" duration=\"%s\" teacher=\"%s %s\" offer=\"%s\" course=\"%s\"
 total=\"%s\" total_just=\"%s\" delay=\"%s\" delay_just=\"%s\" incidence=\"%s\"
  expulsion=\"%s\" />
            """ % (day,hour,row_teacher_name,row_teacher_first_name,
             row_offer,row_course,row_total,row_total_just,row_delay,
             row_delay_just,row_incidence,row_expulsion)
        xml+= '</dfpg>'           

        return self.post_process_xml_data(cr, uid, etree.tostring(report, method='text', encoding="UTF-8") , context)

report_custom('report.school.detall.faltes.per.grup', 'school.group', '', 'addons/school_extension/report/detall_faltes_per_grup.xsl')

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

