# -*- encoding: utf-8 -*-
##############################################################################
#
#    school module for OpenERP
#    Copyright (C) 2010 Tecnoba S.L. (http://www.tecnoba.com)
#       Pere Ramon Erro Mas <pereerro@tecnoba.com> All Rights Reserved.
#
#    This file is a part of school modules
#
#    school OpenERP module is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    school OpenERP module is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import pooler
from datetime import datetime, timedelta
import xml.dom.minidom
from report.interface import report_rml
from report.interface import toxml
from comu_resum_faltes import get_part_data

#FIXME: we should use toxml
ADMIN_ID=1

class report_custom(report_rml):

    def create_xml(self, cr, uid, ids, datas, context={}):
        pool=pooler.get_pool(cr.dbname)
        wizard = pool.get(datas['model']).browse(cr, uid, ids[0])
        
        config = """
        <config>
            <date>09/09/2005</date>
            <PageSize>210.00mm,297.00mm</PageSize>
            <PageWidth>595.27</PageWidth>
            <PageHeight>841.88</PageHeight>
            <tableSize>60.00mm,60.00mm,60.00mm</tableSize>
            <report-header>Faltes per participacio</report-header>
            <report-footer>Generated by Open ERP</report-footer>
        </config>
        """
        header = """
        <header>
        </header>
        """

        pool=pooler.get_pool(cr.dbname)
        obj_ga=pool.get('groups.group_assignation')

        part_ids=[x.id for x in wizard.participation_ids]
        groups_ids=[x.id for x in wizard.group_ids]
        datetime_from=wizard.date_from
        datetime_to2=(datetime.strptime(datetime_from, '%Y-%m-%d')+timedelta(days=6)).strftime('%Y-%m-%d')
        datetime_to=(datetime.strptime(datetime_from, '%Y-%m-%d')+timedelta(days=7)).strftime('%Y-%m-%d')

        if groups_ids:
            ga_ids=obj_ga.search(cr, uid, [('group_id','in',groups_ids),('datetime_from','<',datetime_to),('datetime_to','>',datetime_from)])
            if ga_ids:
                part_ids+=[x for x in [type(x['participation_id'])==type([]) and x['participation_id'][0] or x['participation_id'] for x in obj_ga.read(cr, uid, ga_ids, ['participation_id'])] if x not in part_ids]

        hores=[]
        data=pool.get('groups.participation').get_seances(cr, uid, part_ids, datetime_from, datetime_to, context=None)
        for (part_id,data_seances) in data.items():
            for (seance_id,dtf,dtt,priority) in data_seances:
                value=(dtf,dtt)
                if value not in hores: hores.append(value)
        hores.sort(key= lambda x: x[1])
            
        xml=u'<rfpg><date_from>%s</date_from><date_to>%s</date_to><date-create>%s</date-create>' % (datetime_from,datetime_to2,datetime.now().strftime('%Y-%m-%d %H:%M:%S'))

        xml_dies="<dia>Nom</dia>"
        xml_hores="<hora></hora>"

        diaa=''
        for hora in hores:
            dia_hora=datetime.strptime(hora[0], '%Y-%m-%d %H:%M:%S')
            hora=dia_hora.strftime('%H:%M')
            xml_hores+="<hora>%s</hora>" % hora
            dia=dia_hora.strftime('%d/%m')
            if dia!=diaa:
                xml_dies+="<dia>%s</dia>" % dia
                diaa=dia
            else:
                xml_dies+="<dia />"
        xml+=xml_dies+xml_hores
        
        for part in pool.get('groups.participation').browse(cr, uid, part_ids):
            xml+="<participation><name>%s, %s</name>" % (part.participant.name,part.participant.first_name)
            dades_hores=dict.fromkeys(hores,'-')
            for (seance_id,dtf,dtt,priority) in data[part.id]:
                dades_hores[(dtf,dtt)]=''
                if pool.get('contact.state_range2').search(cr, ADMIN_ID, [('contact_id.id','=',part.participant.id),('lstate.code','=','absent'),('datetime_from','<',dtt),('datetime_to','>',dtf)]):
                    dades_hores[(dtf,dtt)]='F'
                if pool.get('contact.state_range2').search(cr, ADMIN_ID, [('contact_id.id','=',part.participant.id),('lstate.code','=','delayed'),('datetime_from','<',dtt),('datetime_to','>',dtf)]):
                    dades_hores[(dtf,dtt)]='R'
            for hora in hores:
                xml+="<dada_hora>%s</dada_hora>" % dades_hores[hora]
            xml+="</participation>"
            
        
        xml+= u'</rfpg>'
        xml = u'<?xml version="1.0" encoding="UTF-8" ?>' '<report>'+ config + header + xml  + '</report>'
        return self.post_process_xml_data(cr, uid, xml.encode("utf-8"), context)

report_custom('report.school.linies.faltes.per.participacio', 'groups.participation', '', 'addons/school_extension/reports/linies_faltes_per_participacio.xsl')

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

