<?xml version="1.0" encoding="UTF-8"?>

<!--
  Document   : resum_faltes_per_participacio.xsl
  Created on : 1 / març / 2010, 17:11
  Author     : pere
  Description:
  Purpose of transformation follows.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:import href="../../base/report/corporate_defaults.xsl"/>
  <xsl:import href="../../base/report/rml_template.xsl"/>

  <xsl:template name="first_page_frames">
    <frame id="main" x1="1cm" y1="2.5cm" width="19.0cm" height="23cm"/>
  </xsl:template>

  <xsl:template match="/">
    <xsl:call-template name="rml"/>
  </xsl:template>

  <!-- stylesheet -->

  <xsl:template name="stylesheet">
    <blockTableStyle id="resum_faltes_per_participacio_1">
      <blockFont name="Helvetica-Bold" size="10" start="0,0" stop="-1,0"/>
      <blockBackground colorName="#E0E0E0" start="0,0" stop="-1,0"/>
      <blockTextColor colorName="white" start="0,0" stop="-1,0"/>
      <blockValign value="TOP"/>
      <blockAlignment value="CENTER" start="0,0" stop="-1,0"/>
      <blockAlignment value="RIGHT" start="1,1" stop="-1,-1"/>
      <lineStyle kind="GRID" colorName="black"/>
    </blockTableStyle>
    <blockTableStyle id="resum_faltes_per_participacio_2">
      <blockFont name="Helvetica-Bold" size="10" start="0,0" stop="-1,0"/>
      <blockBackground colorName="#E0E0E0" start="0,0" stop="-1,0"/>
      <blockTextColor colorName="white" start="0,0" stop="-1,0"/>
      <blockValign value="TOP"/>
      <blockAlignment value="CENTER" start="0,0" stop="-1,0"/>
      <blockAlignment value="RIGHT" start="1,1" stop="-1,-1"/>
      <lineStyle kind="GRID" colorName="white"/>
    </blockTableStyle>
  </xsl:template>

  <xsl:template name="story">
    <xsl:apply-templates select="report/rfpg"/>
  </xsl:template>

  <xsl:template match="rfpg">
    <xsl:apply-templates select="participation"/>

  </xsl:template>

  <xsl:template match="participation">
    <para>
      <font color="white"> </font><br/>
    </para>
    <para><br/>
      Benvolguts/des,
    </para>
    <para>
<br/>
    </para>
    <para>
      Us fem saber que l'alumne/a <xsl:value-of select="first_name_student"/>, <xsl:value-of select="name_student"/> (<xsl:value-of select="group_name"/>) entre el dia <xsl:value-of select="../date_from"/> i el dia <xsl:value-of select="../date_to"/>, ha tingut les següents FALTES i RETARDS:
    </para>
    <para><br/></para>
    <blockTable colWidths="69.0,69.0,69.0,69.0,69.0,69.0,69.0" style="resum_faltes_per_participacio_1">
      <tr>
        <td>
          <para>Data</para>
        </td>
        <td>
          <para>Absències</para>
        </td>
        <td>
          <para>
            Absències no justificades
          </para>
        </td>
        <td>
          <para>Retards</para>
        </td>
        <td>
          <para>
            Retards no justificats
          </para>
        </td>
          <td>
            <para>Incidències</para>
          </td>
          <td>
            <para>
              Expulsions</para>
          </td>
      </tr>
      <xsl:apply-templates select="lines_presences/line"/>


      <tr>
        <td>
          <para>Totals:</para>
        </td>
        <td>
          <para><xsl:value-of select="t_absences"/></para>
        </td>
        <td>
          <para><xsl:value-of select="t_absences_j"/></para>
        </td>
        <td>
          <para><xsl:value-of select="t_delays"/></para>
        </td>
        <td>
          <para><xsl:value-of select="t_delays_j"/></para>
        </td>
        <td>
          <para><xsl:value-of select="t_incidences"/></para>
        </td>
        <td>
          <para><xsl:value-of select="t_expulsions"/></para>
        </td>
      </tr>
    </blockTable>
    <para>

    </para>
    <xsl:if test="t_absences_j+t_delays_j &gt; 0">
    <para>
      Cal que es posi en contacte amb el tutor/a individual.
    </para>
    </xsl:if>
    <para><br/>
    </para>
    <para>
      Atentament,
    </para>
    <para><br/>
    </para>
    <para><br/>
    </para>
    <para>
    </para>
    <para>
    </para>
    <para>
    </para>
    <para>
    </para>
    <blockTable colWidths="241.0,241.0" style="resum_faltes_per_participacio_2">
      <tr>
        <td>
          <para><xsl:value-of select="tutor_name"/>, <xsl:value-of select="tutor_first_name"/></para>
          <para>Sant Joan de Vilatorrada, <xsl:value-of select="../date-create"/></para>
        </td>
        <td>
          <para>Assabentat/da</para>
          <para><br/>
          </para>
          <para><br/>
          </para>
          <para><br/>
          </para>
          <para>signatura</para>
          <para><font size="8.0">Nom pare/mare/tutor/a</font> __________________________<br/></para>
          <para><font size="8.0">data</font>___________________________________<br/></para>
        </td>
      </tr>
    </blockTable>
    <para>
    </para>
<pageBreak />
  </xsl:template>

  <xsl:template match="line">


    <tr>
      <td>
        <para><xsl:value-of select="date"/></para>
      </td>
      <td>
        <para><xsl:value-of select="absences"/></para>
      </td>
      <td>
        <para><xsl:value-of select="absences_j"/></para>
      </td>
      <td>
        <para><xsl:value-of select="delays"/></para>
      </td>
      <td>
        <para><xsl:value-of select="delays_j"/></para>
      </td>
      <td>
        <para><xsl:value-of select="incidences"/></para>
      </td>
      <td>
        <para><xsl:value-of select="expulsions"/></para>
      </td>
    </tr>



  </xsl:template>

</xsl:stylesheet>
