# -*- encoding: utf-8 -*-
##############################################################################
#
#    school module for OpenERP
#    Copyright (C) 2010 Tecnoba S.L. (http://www.tecnoba.com)
#       Pere Ramon Erro Mas <pereerro@tecnoba.com> All Rights Reserved.
#
#    This file is a part of school modules
#
#    school OpenERP module is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    school OpenERP module is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv, fields


class school_linies_faltes_per_participacio_wizard(osv.osv_memory):
    _name = 'school.linies_faltes_per_participacio_wizard'
    
    _columns = {
        'date_from' : fields.date('Date from', required = True,),
        'participation_ids' : fields.many2many('groups.participation','school_lfppw_wizard_parts_rel','wizard_id','part_id', string='Participations',),
        'group_ids' :fields.many2many('groups.group','school_lfppw_wizard_groups_rel','wizard_id','group_id',string='Groups',),
    }
    
    def action_report(self, cr, uid, ids, context = None):
        if ids:
            return {
                'type': 'ir.actions.report.xml',
                'report_name': 'school.linies.faltes.per.participacio',
                'datas': {'model': 'school.linies_faltes_per_participacio_wizard',
                          'ids' : ids,},
            }
        return True
    
school_linies_faltes_per_participacio_wizard()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

