# -*- coding: utf-8 -*-
##############################################################################
#
#    school module for OpenERP
#    Copyright (C) 2011 Zikzakmedia S.L. (http://www.zikzakmedia.com)
#      Jesús Martín Jiménez <jmargin@zikzakmedia.com> All Rights Reserved.
#
#    This file is a part of school module
#
#    school OpenERP module is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    school OpenERP module is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program. If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv, fields
from tools.translate import _


class school_change_classe_calendar_wizard(osv.osv_memory):
    _name = 'school.change_classe_calendar_wizard'

    _columns = {
        'classe_ids' : fields.many2many('school.classe', 'school_change_classe_calendar_wizard_rel', 'wizard_id', 'classe_id', string='Classes', ),
        'calendar_id' : fields.many2one('school.holidays_calendar', string = 'New Calendar', required = True,),
    }

    _defaults = {
        'classe_ids' : lambda self,cr,uid,context={}: context.get('active_ids',[]),
    }

    def action_cancel(self, cr, uid, ids, context=None):
        return {'type': 'ir.actions.act_window_close'}

    def action_apply(self, cr, uid, ids, context=None):
        if context is None:
            context={}
        for item in self.browse(cr, uid, ids):
            self.pool.get('school.classe').write(cr, uid, [x.id for x in item.classe_ids], {'holidays_calendar_id': item.calendar_id.id, })
        return {'type': 'ir.actions.act_window_close'}

school_change_classe_calendar_wizard()
