# -*- coding: utf-8 -*-
##############################################################################
#
#    school module for OpenERP
#    Copyright (C) 2011 Zikzakmedia S.L. (http://www.zikzakmedia.com)
#      Jesús Martín Jiménez <jmargin@zikzakmedia.com> All Rights Reserved.
#
#    This file is a part of school module
#
#    school OpenERP module is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    school OpenERP module is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program. If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv, fields
from tools.translate import _


class school_reopen_seances(osv.osv_memory):
    _name = 'school.reopen_seances'

    _columns = {
        'seance_ids' : fields.many2many('school.seance', 'school_seance_reopen_wizard_rel', 'wizard_id', 'seance_id', string='Seances', ),
    }

    _defaults = {
        'seance_ids' : lambda self,cr,uid,context={}: context.get('active_ids',[]),
    }

    def action_cancel(self, cr, uid, ids, context=None):
        return {'type': 'ir.actions.act_window_close'}

    def action_apply(self, cr, uid, ids, context=None):
        if context is None:
            context={}
        for item in self.browse(cr, uid, ids):
            self.pool.get('school.seance')._write2(cr, uid, [x.id for x in item.seance_ids], {'state': 'created', })
        return {'type': 'ir.actions.act_window_close'}

school_reopen_seances()
