import math
# -*- coding: utf-8 -*-
##############################################################################
#
#    school module for OpenERP
#    Copyright (C) 2011 Tecnoba S.L. (http://www.tecnoba.com)
#      Pere Ramon Erro Mas <pereerro@tecnoba.com> All Rights Reserved.
#
#    This file is a part of school module
#
#    school OpenERP module is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    school OpenERP module is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program. If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv, fields
from tools.translate import _
from datetime import datetime, timedelta


class classe_regenerate_iwls(osv.osv_memory):
    _name = 'school.classe.regenerate_iwls'

    _columns = {
        'classe_ids' : fields.many2many('school.classe', 'school_classe_ciwls_wizard_rel', 'ciwls_id','classe_id',string='Classes',required=True,),
    }

    _defaults = {
        'classe_ids' : lambda self,cr,uid,context={}: context.get('active_ids',[]),
    }

    def action_cancel(self, cr, uid, ids, context=None):
        return {'type': 'ir.actions.act_window_close'}

    def action_apply(self, cr, uid, ids, context=None):
        if context is None: context={}
        for item in self.browse(cr, uid, ids, context=context):
            iwl_to_unlink_ids = self.pool.get('school.impartition_week_line').search(cr, uid, [('classe_id','in',[x.id for x in item.classe_ids])], context = context)
            self.pool.get('school.impartition_week_line').unlink(cr, uid, iwl_to_unlink_ids, context = context)
            for classe in item.classe_ids:
                nweeks = ( datetime.strptime(classe.date_to, '%Y-%m-%d') - datetime.strptime(classe.date_from, '%Y-%m-%d') ).days / 7
                n_iwls = int( classe.course_id.min_hours / nweeks ) + 1
                for n in range(n_iwls):
                    self.pool.get('school.impartition_week_line').create(cr, uid, {'classe_id' : classe.id, 'title': 'imperative',}, context = context)
        return {'type': 'ir.actions.act_window_close'}



classe_regenerate_iwls()
