# -*- coding: utf-8 -*-
##############################################################################
#
#    school module for OpenERP
#    Copyright (C) 2010 Tecnoba S.L. (http://www.tecnoba.com)
#       Pere Ramon Erro Mas <pereerro@tecnoba.com> All Rights Reserved.
#
#    This file is a part of school module
#
#    school OpenERP module is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    school OpenERP module is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv, fields, orm

class school_iwl_check_seances(osv.osv_memory):
    _name = 'school.iwl.check_seances'

    _columns = {
        'iwl_ids' : fields.many2many('school.impartition_week_line','school_iwl_check_seances_rel','wizard_id','iwl_id',string='IWLs',),
        'state' : fields.selection([('ready','Ready'),('completed','Completed')],string='State',),
    }

    _defaults = {
        'iwl_ids' : lambda self,cr,uid,context={} : context.get('active_ids',[]),
        'state' : lambda *a : 'ready',
    }

    def act_cancel(self, cr, uid, ids, context=None):
        pass

    def check_seances(self, cr, uid, ids, context=None):
        iwl_obj=self.pool.get('school.impartition_week_line')
        for wizard in self.browse(cr, uid, ids):
            iwl_obj.check_seances(cr, uid, [x.id for x in wizard.iwl_ids], context=context)
        self.write(cr, uid, ids, {'state': 'completed',})

school_iwl_check_seances()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
